Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.context.file
Class FileSystemContextFactory

    java.lang.Object
      org.jboss.virtual.plugins.context.AbstractContextFactory
          org.jboss.virtual.plugins.context.file.FileSystemContextFactory

All Implemented Interfaces:
  VFSContextFactory

    public class FileSystemContextFactory

extends AbstractContextFactory

A file system context factory

Version:
  $Revision: 44217 $
Author:
  Scott.Stark@jboss.org, adrian@jboss.org

Constructor Summary
`FileSystemContextFactory()`

Method Summary
`VFSContext` | `getVFS(java.net.URI root)` Obtain a vfs context for the given root uri.
`VFSContext` | `getVFS(java.net.URL root)` Obtain a vfs context for the given root url.

Methods inherited from class org.jboss.virtual.plugins.context.AbstractContextFactory
`fromVFS, fromVFS, getProtocols`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSystemContextFactory

    public FileSystemContextFactory()

Method Detail

### getVFS

    public VFSContext getVFS(java.net.URL root)
                      throws java.io.IOException

  Description copied from interface: `VFSContextFactory`
  Obtain a vfs context for the given root url.

  Parameters:
    `root` - - the URL for the root of the virtual context
  Returns:
    the vfs context
  Throws:
    `java.io.IOException` - - thrown if the root cannot be opened/accessed

### getVFS

    public VFSContext getVFS(java.net.URI root)
                      throws java.io.IOException

  Description copied from interface: `VFSContextFactory`
  Obtain a vfs context for the given root uri.

  Parameters:
    `root` - - the URI for the root of the virtual context
  Returns:
    the vfs context
  Throws:
    `java.io.IOException` - - thrown if the root cannot be opened/accessed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD